Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AttributeDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<Attribute>
ru.bitel.bgbilling.modules.bill.server.bean.AttributeDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class AttributeDao
    extends ru.bitel.common.dao.AbstractIdDao<Attribute>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CONTRACT_PARAM_PREF_MACROS` |
  `static java.lang.String` | `CONTRACT_PARAM_PREF_MACROS_USE_SUPER` |

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AttributeDao​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clearAllAttributes()` | Удаление всех реквизитов для всех договоров
  `void` | `clearAttributes​(int contractId)` | Удаление всех реквизитов для данного договора
  `java.util.List<Attribute>` | `getActiveAttributeList​(int contractId)` | Получение всех активных реквизитов на текущий момент
  `java.util.List<Attribute>` | `getActiveAttributeList​(java.util.Set<java.lang.Integer> contractIds)` |
  `java.util.List<Attribute>` | `getAttributeListByCid​(int contractId)` |
  `protected Attribute` | `getFromRS​(java.sql.ResultSet rs)` |
  `protected void` | `updateImpl​(Attribute attribute)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_PARAM_PREF_MACROS

    public static final java.lang.String CONTRACT_PARAM_PREF_MACROS
    See Also:
      Constant Field Values

  - ### CONTRACT_PARAM_PREF_MACROS_USE_SUPER

    public static final java.lang.String CONTRACT_PARAM_PREF_MACROS_USE_SUPER
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AttributeDao

    public AttributeDao​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getAttributeListByCid

    public java.util.List<Attribute> getAttributeListByCid​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getActiveAttributeList

    public java.util.List<Attribute> getActiveAttributeList​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение всех активных реквизитов на текущий момент
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getActiveAttributeList

    public java.util.List<Attribute> getActiveAttributeList​(java.util.Set<java.lang.Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### clearAttributes

    public void clearAttributes​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Удаление всех реквизитов для данного договора
    Parameters:
      `contractId` - - код договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### clearAllAttributes

    public void clearAllAttributes() throws ru.bitel.bgbilling.common.BGException
    Удаление всех реквизитов для всех договоров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(Attribute attribute) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Attribute>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected Attribute getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Attribute>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`